import { Core } from './core';
export declare class Repo {
    private readonly api;
    constructor(api: Core);
    getFile(owner: string, repo: string, path: string): Promise<import("@octokit/types").OctokitResponse<{
        type: string;
        size: number;
        name: string;
        path: string;
        content?: string;
        sha: string;
        url: string;
        git_url: string;
        html_url: string;
        download_url: string;
        _links: {
            git: string;
            html: string;
            self: string;
        };
    }[] | {
        type: string;
        encoding: string;
        size: number;
        name: string;
        path: string;
        content: string;
        sha: string;
        url: string;
        git_url: string;
        html_url: string;
        download_url: string;
        _links: {
            git: string;
            html: string;
            self: string;
        };
        target?: string;
        submodule_git_url?: string;
    } | {
        type: string;
        target: string;
        size: number;
        name: string;
        path: string;
        sha: string;
        url: string;
        git_url: string;
        html_url: string;
        download_url: string;
        _links: {
            git: string;
            html: string;
            self: string;
        };
    } | {
        type: string;
        submodule_git_url: string;
        size: number;
        name: string;
        path: string;
        sha: string;
        url: string;
        git_url: string;
        html_url: string;
        download_url: string;
        _links: {
            git: string;
            html: string;
            self: string;
        };
    }, 200>>;
    createFile(owner: string, repo: string, path: string, content: string, message?: string): Promise<import("@octokit/types").OctokitResponse<{
        content: {
            name?: string;
            path?: string;
            sha?: string;
            size?: number;
            url?: string;
            html_url?: string;
            git_url?: string;
            download_url?: string;
            type?: string;
            _links?: {
                self?: string;
                git?: string;
                html?: string;
            };
        };
        commit: {
            sha?: string;
            node_id?: string;
            url?: string;
            html_url?: string;
            author?: {
                date?: string;
                name?: string;
                email?: string;
            };
            committer?: {
                date?: string;
                name?: string;
                email?: string;
            };
            message?: string;
            tree?: {
                url?: string;
                sha?: string;
            };
            parents?: {
                url?: string;
                html_url?: string;
                sha?: string;
            }[];
            verification?: {
                verified?: boolean;
                reason?: string;
                signature?: string;
                payload?: string;
            };
        };
    }, 200> | import("@octokit/types").OctokitResponse<{
        content: {
            name?: string;
            path?: string;
            sha?: string;
            size?: number;
            url?: string;
            html_url?: string;
            git_url?: string;
            download_url?: string;
            type?: string;
            _links?: {
                self?: string;
                git?: string;
                html?: string;
            };
        };
        commit: {
            sha?: string;
            node_id?: string;
            url?: string;
            html_url?: string;
            author?: {
                date?: string;
                name?: string;
                email?: string;
            };
            committer?: {
                date?: string;
                name?: string;
                email?: string;
            };
            message?: string;
            tree?: {
                url?: string;
                sha?: string;
            };
            parents?: {
                url?: string;
                html_url?: string;
                sha?: string;
            }[];
            verification?: {
                verified?: boolean;
                reason?: string;
                signature?: string;
                payload?: string;
            };
        };
    }, 201>>;
    updateFile(owner: string, repo: string, path: string, content: string, message?: string): Promise<import("@octokit/types").OctokitResponse<{
        content: {
            name?: string;
            path?: string;
            sha?: string;
            size?: number;
            url?: string;
            html_url?: string;
            git_url?: string;
            download_url?: string;
            type?: string;
            _links?: {
                self?: string;
                git?: string;
                html?: string;
            };
        };
        commit: {
            sha?: string;
            node_id?: string;
            url?: string;
            html_url?: string;
            author?: {
                date?: string;
                name?: string;
                email?: string;
            };
            committer?: {
                date?: string;
                name?: string;
                email?: string;
            };
            message?: string;
            tree?: {
                url?: string;
                sha?: string;
            };
            parents?: {
                url?: string;
                html_url?: string;
                sha?: string;
            }[];
            verification?: {
                verified?: boolean;
                reason?: string;
                signature?: string;
                payload?: string;
            };
        };
    }, 200> | import("@octokit/types").OctokitResponse<{
        content: {
            name?: string;
            path?: string;
            sha?: string;
            size?: number;
            url?: string;
            html_url?: string;
            git_url?: string;
            download_url?: string;
            type?: string;
            _links?: {
                self?: string;
                git?: string;
                html?: string;
            };
        };
        commit: {
            sha?: string;
            node_id?: string;
            url?: string;
            html_url?: string;
            author?: {
                date?: string;
                name?: string;
                email?: string;
            };
            committer?: {
                date?: string;
                name?: string;
                email?: string;
            };
            message?: string;
            tree?: {
                url?: string;
                sha?: string;
            };
            parents?: {
                url?: string;
                html_url?: string;
                sha?: string;
            }[];
            verification?: {
                verified?: boolean;
                reason?: string;
                signature?: string;
                payload?: string;
            };
        };
    }, 201>>;
    deleteFile(owner: string, repo: string, path: string, sha: string, message?: string): Promise<import("@octokit/types").OctokitResponse<{
        content: {
            name?: string;
            path?: string;
            sha?: string;
            size?: number;
            url?: string;
            html_url?: string;
            git_url?: string;
            download_url?: string;
            type?: string;
            _links?: {
                self?: string;
                git?: string;
                html?: string;
            };
        };
        commit: {
            sha?: string;
            node_id?: string;
            url?: string;
            html_url?: string;
            author?: {
                date?: string;
                name?: string;
                email?: string;
            };
            committer?: {
                date?: string;
                name?: string;
                email?: string;
            };
            message?: string;
            tree?: {
                url?: string;
                sha?: string;
            };
            parents?: {
                url?: string;
                html_url?: string;
                sha?: string;
            }[];
            verification?: {
                verified?: boolean;
                reason?: string;
                signature?: string;
                payload?: string;
            };
        };
    }, 200>>;
}
