"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Repo = void 0;
const base64 = require("@zodash/base64");
class Repo {
    constructor(api) {
        this.api = api;
    }
    async getFile(owner, repo, path) {
        return this.api.request('GET /repos/{owner}/{repo}/contents/{path}', {
            owner,
            repo,
            path,
        });
    }
    async createFile(owner, repo, path, content, message = 'Create file with API') {
        return this.api.request('PUT /repos/{owner}/{repo}/contents/{path}', {
            owner,
            repo,
            path,
            content: base64.encode(content),
            message,
        });
    }
    async updateFile(owner, repo, path, content, message) {
        return this.createFile(owner, repo, path, content, message);
    }
    async deleteFile(owner, repo, path, sha, message = 'Create file with API') {
        return this.api.request('DELETE /repos/{owner}/{repo}/contents/{path}', {
            owner,
            repo,
            path,
            sha,
            message,
        });
    }
}
exports.Repo = Repo;
